Subject: Re: bug#63469: 29.0.90; project.el doesn't add menu-bar entries

From: Dmitry Gutov <[email-masked]>
Date: Thu, 18 May 2023 12:49:48 +0300

On 18/05/2023 10:01, Eli Zaretskii wrote:
>> Date: Thu, 18 May 2023 09:53:52 +0300
>> Cc: [email-masked]
>> From: Dmitry Gutov <[email-masked]>
>>
>> On 17/05/2023 14:30, Eli Zaretskii wrote:
>>>> From: Spencer Baugh<[email-masked]>
>>>> Cc:[email-masked]
>>>> Date: Tue, 16 May 2023 13:09:56 -0400
>>>>
>>>> Also with the bug number in the commit message.
>>> Thanks.  This LGTM, but what about Juri's suggestion to have a
>>> separate Project menu under Tools, with all these as its items?
>>
>> I think there should be either one or another. Or there will be too much
>> of them.
> 
> Why? what's wrong with having both?

I think this will be the only example of menu entries present in several 
submenus, won't it?

> these menu items aren't visible unless someone actually drops down
> their parent menu.  So they don't seem to be able to cause any
> excessive display clutter.

The same argument could be made that, if you're not using the menu at 
all (I don't), then there is no problem.

> The advantage of having both is that these items will be more
> discoverable, and support both discovery through the related
> functionality and through Package itself.

My objection is not a strong one. If people really find it useful to 
have both, so be it. But is sounds like an overkill.